POST api/bagapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
BagViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| bag_status_id | globally unique identifier |
Required |
|
| cleanroom_type_id | globally unique identifier |
Required |
|
| code | integer |
Required |
|
| date_hu | date |
None. |
|
| id | globally unique identifier |
None. |
|
| site_id | globally unique identifier |
Required |
|
| wash_count | integer |
None. |
|
| position | integer |
None. |
|
| pc_id | globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"bag_status_id": "ad62fb75-66d8-4a66-a8ef-b013ec7ead6a",
"cleanroom_type_id": "662b4f0a-9878-4740-ae74-9c62d9d7582e",
"code": 3,
"date_hu": "2026-03-11T12:01:40.2054372+00:00",
"id": "861b7d45-d085-4895-8c7a-fb64dca7622d",
"site_id": "0e4adf8c-44fb-4502-8be6-929b987a818e",
"wash_count": 6,
"position": 1,
"pc_id": "fb5e8603-4f8d-4494-9213-9cae843a246d"
}
application/xml, text/xml
Sample:
<bag xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <bag_status_id>ad62fb75-66d8-4a66-a8ef-b013ec7ead6a</bag_status_id> <cleanroom_type_id>662b4f0a-9878-4740-ae74-9c62d9d7582e</cleanroom_type_id> <code>3</code> <date_hu>2026-03-11T12:01:40.2054372+00:00</date_hu> <id>861b7d45-d085-4895-8c7a-fb64dca7622d</id> <pc_id>fb5e8603-4f8d-4494-9213-9cae843a246d</pc_id> <position>1</position> <site_id>0e4adf8c-44fb-4502-8be6-929b987a818e</site_id> <wash_count>6</wash_count> </bag>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"ecd38493-c92f-448d-98f7-700c75afc05e"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">ecd38493-c92f-448d-98f7-700c75afc05e</guid>